#!/bin/sh
ROOT_DIR=".."

##
# components
##
echo "== components module"

echo "* components" > modules/components/nav.adoc
for c in $ROOT_DIR/* ; do
  name=$(basename $c)
  if \
  [ $name == "docs" ] || \
  [ $name == "base" ] || \
  [ $name == "base-values" ] || \
  [ ! -d $c ]; then
    continue
  fi;
  echo " - ${name}"
  ln -sf "../../../${c}/README.adoc" "modules/components/pages/${name}.adoc";
  echo "** xref:${name}.adoc[${name}]" >> modules/components/nav.adoc
done

helm-docs --chart-search-root "${ROOT_DIR}/" -t ./docs/modules/components/README.adoc.gotmpl -o README.adoc
helm-docs --chart-search-root "${ROOT_DIR}/" helm-docs -t ./README.md.gotmpl -t _docs.gotmpl

##
# infra
##
echo "== infra module"

echo "" > modules/infra/pages/partial-list-components.adoc
for c in $ROOT_DIR/infra-* ; do
  name=$(basename $c)
  echo "* xref:components:${name}.adoc[${name}]" >> modules/infra/pages/partial-list-components.adoc
done

##
# mycloud
##
echo "== mycloud module"

echo "" > modules/mycloud/pages/partial-list-components.adoc
for c in $ROOT_DIR/mycloud-* ; do
  name=$(basename $c)
  echo "* xref:components:${name}.adoc[${name}]" >> modules/mycloud/pages/partial-list-components.adoc
done
