---
title: "Ingress"
---
# Ingress

Per default, the ingress domain and tls could be set,

The domain is used, to set for every components per default an subdomain by this domain.
(This could be overwritten by see [Change Host / Domain per Components](#change_host__domain_per_components).)

If you do not like to setup for every ingress-tls an new cert secrets (e.g. you do not use an cert-manager), the you could override it global with your on entry.

``` yaml {filename="base-mycloud-ingress-values.yaml"}
commons:
  ingress:
    domain:
    tls:
      enabled: true
      override:
```

## Annotations

It is possible to set annotations global or per components:
``` yaml {filename="base-mycloud-ingress-values.yaml"}
commons:
  ingress:
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-prod  

components:
  mycloud-authentik:
    values:
      ingress:
        annotations:
          traefik.ingress.kubernetes.io/router.middlewares: ingress-redirect-https@kubernetescrd
```

## Change Host / Domain per Components

### Authentik
``` yaml {filename="base-mycloud-authentik-values.yaml"}
commons:
  auth:
    host: "login.wrenix.eu"

components:
  mycloud-authentik:
    values:
      ingress:
        host: "login.wrenix.eu"
```

### Nextcloud
``` yaml {filename="base-mycloud-nextcloud-values.yaml"}
components:
  mycloud-nextcloud:
    values:
      ingress:
        host: "files.wrenix.eu:"

  mycloud-collabora:
    values:
      allowedHosts:
        files.wrenix.eu: []
```

### Collabora

``` yaml {filename="base-mycloud-collabora-values.yaml"}
components:
  mycloud-nextcloud:
    values:
      apps:
        richdocuments:
          enabled: true
          config:
            wopi_url: "https://office.wrenix.eu"

  mycloud-collabora:
    values:
      ingress:
        host: "office.wrenix.eu"
```
