---
title: "infra-ingress"

description: "Setup an ingress"

---

# infra-ingress

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

Setup an ingress

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons Ingress

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.ingress.domain | string | `"wrenix.eu"` | top domain for all services |

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |

### Commons Tracing

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.tracing.enabled | bool | `false` | enable tracing on all components |
| commons.tracing.grpc.enabled | bool | `true` | prefer grpc over http |
| commons.tracing.grpc.endpoint | string | `"tempo.monitoring.svc:4317"` | grpc endpoint |
| commons.tracing.grpc.insecure | bool | `true` | allow insecure connection per grpc |
| commons.tracing.http.endpoint | string | `"http://tempo.monitoring.svc:4318/v1/traces"` | http endpoint |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| controller | string | `"traefik"` |  |
| external | bool | `true` |  |
| hostNetwork | bool | `true` |  |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| logs.access | bool | `false` |  |
| traefik.additionalArguments | list | `[]` |  |
| traefik.hostPath | string | `"/srv/k8s/pv/pvc-traefik-certs"` |  |
| traefik.ports | object | `{}` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
