---
title: "mycloud-authentik"

description: "A mycloud components using authentik (for central authentification using SSO)"

---

# mycloud-authentik

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

A mycloud components using authentik (for central authentification using SSO)

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons Ingress

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.ingress.annotations | object | `{"cert-manager.io/cluster-issuer":"letsencrypt-prod"}` | annotations for all ingress objects |
| commons.ingress.domain | string | `"wrenix.eu"` | top domain for all services |
| commons.ingress.tls.enabled | bool | `true` | tls on every ingress |
| commons.ingress.tls.override | list | `[]` | use own definition of tls (e.g. for own or wildcard certificate) |

### Commons mail

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.mail.from | string | `nil` | send from address |
| commons.mail.host | string | `nil` | smtp server |
| commons.mail.password | string | `nil` | smtp password |
| commons.mail.use_ssl | bool | `false` | smtp server use ssl |
| commons.mail.use_tls | bool | `false` | smtp server use start tls |
| commons.mail.username | string | `nil` | smtp username |

### Commons

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.masterPassword | string | `"CHANGEME"` | masterPassword to generate secrets |

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |
| commons.prometheus.rules.labels | object | `{}` | labels on PrometheusRules |

### Commons Redis

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.redis.replicas | int | `0` | replicas |

### Commons theme

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.theme.favicon | string | `"/static/dist/assets/icons/icon.png"` | favicon everywhere |
| commons.theme.logo | string | `"/static/dist/assets/icons/icon_left_brand.svg"` | logo everywhere |
| commons.theme.title | string | `"myCloud"` | title everywhere |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| database.host | string | `"mycloud-services-postgresql"` | default is from mysql-services |
| database.name | string | `"authentik"` |  |
| database.password | string | `nil` | generated by .Values.commons.masterPassword (equal to mycloud-services) |
| database.username | string | `"authentik"` |  |
| ingress.annotations | string | `nil` |  |
| ingress.host | string | `nil` | default: auth.(Values.commons.ingress.domain) |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| mail.from | string | `nil` | generade by Values.commons.mail.from |
| secret_key | string | `nil` | generated by .Values.commons.masterPassword |
| theme.background | string | `nil` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
