---
title: "mycloud-matrix"

description: "myCloud component to setup matrix"

---

# mycloud-matrix

![Version: 0.1.1](https://img.shields.io/badge/Version-0.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

myCloud component to setup matrix

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.auth.host | string | `nil` | default auth.(.Values.commons.ingress.domain) |
| commons.masterPassword | string | `"CHANGEME"` | masterPassword to generate secrets |

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.grafana.dashboards.annotations | string | `nil` | annotations of grafana dashboard configmap |
| commons.grafana.dashboards.labels | object | `{"grafana_dashboard":"1"}` | labels of grafana dashboard configmap |
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |
| commons.prometheus.rules.labels | object | `{}` | labels on PrometheusRules |

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons Ingress

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.ingress.annotations | object | `{"cert-manager.io/cluster-issuer":"letsencrypt-prod"}` | annotations for all ingress objects |
| commons.ingress.domain | string | `"wrenix.eu"` | top domain for all services |
| commons.ingress.tls.enabled | bool | `true` | tls on every ingress |
| commons.ingress.tls.override | list | `[]` | use own definition of tls (e.g. for own or wildcard certificate) |

### Commons mail

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.mail.from | string | `nil` | send from address |
| commons.mail.host | string | `nil` | smtp server |
| commons.mail.password | string | `nil` | smtp password |
| commons.mail.use_ssl | bool | `false` | smtp server use ssl |
| commons.mail.use_tls | bool | `false` | smtp server use start tls |
| commons.mail.username | string | `nil` | smtp username |

### Commons Persistence

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.persistence.hostPath.enabled | bool | `false` | use hostPath instatt of PVC |
| commons.persistence.hostPath.prefix | string | `"/var/lib/mycloud"` | use hostPath under the following path |
| commons.persistence.storageClass | string | `nil` | storageClass of PVC |

### Commons theme

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.theme.favicon | string | `"/static/dist/assets/icons/icon.png"` | favicon everywhere |
| commons.theme.logo | string | `"/static/dist/assets/icons/icon_left_brand.svg"` | logo everywhere |
| commons.theme.title | string | `"myCloud"` | title everywhere |

### Commons Tracing

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.tracing.enabled | bool | `false` | enable tracing on all components |
| commons.tracing.grpc.enabled | bool | `true` | prefer grpc over http |
| commons.tracing.grpc.endpoint | string | `"tempo.monitoring.svc:4317"` | grpc endpoint |
| commons.tracing.grpc.insecure | bool | `true` | allow insecure connection per grpc |
| commons.tracing.http.endpoint | string | `"http://tempo.monitoring.svc:4318/v1/traces"` | http endpoint |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| bridge.signal.admins | list | `[]` |  |
| bridge.signal.enabled | bool | `false` |  |
| bridge.slack.admins | list | `[]` |  |
| bridge.slack.enabled | bool | `false` |  |
| commons.networkpolicies.enabled | bool | `false` |  |
| commons.networkpolicies.from.ingress | list | `[]` |  |
| commons.networkpolicies.from.metrics | list | `[]` |  |
| commons.networkpolicies.to.dns | list | `[]` |  |
| commons.networkpolicies.to.matrix | list | `[]` |  |
| commons.networkpolicies.to.smtp | list | `[]` |  |
| databases.authenticationService.host | string | `"mycloud-services-postgresql"` | default is from mycloud-services |
| databases.authenticationService.name | string | `"matrix-authentication-service"` |  |
| databases.authenticationService.password | string | `nil` | generated by .commons.masterPassword (equal to mycloud-services) |
| databases.authenticationService.username | string | `"matrix-authentication-service"` |  |
| databases.bridge.signal.host | string | `"mycloud-services-postgresql"` | default is from mycloud-services |
| databases.bridge.signal.name | string | `"matrix-bridge-signal"` |  |
| databases.bridge.signal.password | string | `nil` | generated by .commons.masterPassword (equal to mycloud-services) |
| databases.bridge.signal.username | string | `"matrix-bridge-signal"` |  |
| databases.bridge.slack.host | string | `"mycloud-services-postgresql"` | default is from mycloud-services |
| databases.bridge.slack.name | string | `"matrix-bridge-slack"` |  |
| databases.bridge.slack.password | string | `nil` | generated by .commons.masterPassword (equal to mycloud-services) |
| databases.bridge.slack.username | string | `"matrix-bridge-slack"` |  |
| databases.server.host | string | `"mycloud-services-postgresql"` | default is from mycloud-services |
| databases.server.name | string | `"matrix-synapse"` |  |
| databases.server.password | string | `nil` | generated by .commons.masterPassword (equal to mycloud-services) |
| databases.server.username | string | `"matrix-synapse"` |  |
| databases.slidingSync.host | string | `"mycloud-services-postgresql"` | default is from mycloud-services |
| databases.slidingSync.name | string | `"matrix-sliding-sync"` |  |
| databases.slidingSync.password | string | `nil` | generated by .commons.masterPassword (equal to mycloud-services) |
| databases.slidingSync.username | string | `"matrix-sliding-sync"` |  |
| ingress.authenticationService.annotations | object | `{}` |  |
| ingress.authenticationService.host | string | `nil` | default: auth.matrix.(.commons.ingress.domain) |
| ingress.element.annotations | object | `{}` |  |
| ingress.element.config.features.feature_location_share_live | bool | `true` |  |
| ingress.element.config.features.feature_new_room_decoration_ui | bool | `true` |  |
| ingress.element.config.features.feature_notifications | bool | `true` |  |
| ingress.element.enabled | bool | `true` |  |
| ingress.element.host | string | `nil` | default: element.(.commons.ingress.domain) |
| ingress.elementCall.annotations | object | `{}` |  |
| ingress.elementCall.enabled | bool | `false` | deploy element-call |
| ingress.elementCall.host | string | `nil` | default: call.(.commons.ingress.domain) |
| ingress.elementCall.livekitJWT.host | string | `nil` | default: call.(.commons.ingress.domain) |
| ingress.elementCall.livekitJWT.livekit.host | string | `nil` | default: .ingress.livekit.host |
| ingress.elementCall.livekitJWT.livekit.key | string | `nil` | default: .livekit.key |
| ingress.elementCall.livekitJWT.livekit.secret | string | `nil` | default: .livekit.secret |
| ingress.hydrogen.annotations | object | `{}` |  |
| ingress.hydrogen.enabled | bool | `false` |  |
| ingress.hydrogen.host | string | `nil` | default: hydrogen.(.commons.ingress.domain) |
| ingress.livekit.annotations | object | `{}` |  |
| ingress.livekit.enabled | bool | `false` |  |
| ingress.livekit.host | string | `nil` | default: sfu.call.(.commons.ingress.domain) |
| ingress.server.annotations | object | `{}` |  |
| ingress.server.host | string | `nil` | default: matrix.(.commons.ingress.domain) |
| ingress.server.wellknown.client."m.tile_server".map_style_url | string | `"https://api.maptiler.com/maps/streets/style.json?key=fU3vlMsMn4Jb6dnEIFsx"` |  |
| ingress.slidingSync.annotations | object | `{}` |  |
| ingress.slidingSync.host | string | `nil` | default: sliding.matrix.(.commons.ingress.domain) |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| livekit.enabled | bool | `false` | deploy livekit for usage with element-call |
| livekit.key | string | `"dev"` | key for api (kind of username) |
| livekit.secret | string | `nil` | secret for api a kind of password (default: generated by .commons.masterPassword) |
| persistence.size | string | `"16Gi"` |  |
| persistence.storageClass | string | `nil` |  |
| server.auth.clientID | string | `nil` | generated by .commons.masterPassword |
| server.auth.clientSecret | string | `nil` | generated by .commons.masterPassword |
| server.auth.webClient | string | `nil` | default: element.(.commons.ingress.domain) |
| server.authenticationService.admins | list | `[]` |  |
| server.authenticationService.enabled | bool | `false` |  |
| server.host | string | `nil` | default: (commons.ingress.domain) |
| server.mail.from | string | `nil` | generade by .commons.mail.from |
| server.mail.host | string | `nil` | default .commons.mail.host |
| server.scaling | bool | `false` |  |
| server.slidingSync.enabled | bool | `false` |  |
| server.software | string | `"synapse"` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
